Bug 182853 - Layout Test imported/w3c/web-platform-tests/service-workers/service-worker/register-closed-window.https.html is flaky
Summary: Layout Test imported/w3c/web-platform-tests/service-workers/service-worker/re...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-15 17:14 PST by Ryan Haddad
Modified: 2018-03-13 16:01 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.66 KB, patch)
2018-03-12 16:39 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (3.18 KB, patch)
2018-03-13 14:22 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (4.00 KB, patch)
2018-03-13 15:08 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2018-02-15 17:14:59 PST
The following layout test is flaky on iOS 
imported/w3c/web-platform-tests/service-workers/service-worker/register-closed-window.https.html

Probable cause:

Unknown, this test appears to have been flaky for a while.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Fservice-workers%2Fservice-worker%2Fregister-closed-window.https.html

--- /Volumes/Data/slave/ios-simulator-11-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/service-workers/service-worker/register-closed-window.https-expected.txt
+++ /Volumes/Data/slave/ios-simulator-11-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/service-workers/service-worker/register-closed-window.https-actual.txt
@@ -1,4 +1,3 @@
-CONSOLE MESSAGE: line 11: Unhandled Promise Rejection: TypeError: serviceWorker.register() must be called with a valid relative script URL
 
 PASS Call register() on ServiceWorkerContainer owned by closed window.
Comment 1 Ryan Haddad 2018-02-15 17:20:46 PST
Marked test as flaky in https://trac.webkit.org/changeset/228544/webkit
Comment 2 Radar WebKit Bug Importer 2018-02-17 21:53:34 PST
<rdar://problem/37645429>
Comment 3 youenn fablet 2018-03-12 16:39:12 PDT
Promise is expected to be rejected but it may not always happen soon enough.
Comment 4 youenn fablet 2018-03-12 16:39:41 PDT
Created attachment 335663 [details]
Patch
Comment 5 youenn fablet 2018-03-13 14:22:10 PDT
Created attachment 335731 [details]
Patch
Comment 6 Chris Dumez 2018-03-13 14:57:51 PDT
Comment on attachment 335731 [details]
Patch

Please drop flaky line from LayoutTests/platform/ios/TestExpectations
Comment 7 youenn fablet 2018-03-13 15:08:13 PDT
Created attachment 335738 [details]
Patch
Comment 8 WebKit Commit Bot 2018-03-13 16:01:51 PDT
Comment on attachment 335738 [details]
Patch

Clearing flags on attachment: 335738

Committed r229590: <https://trac.webkit.org/changeset/229590>
Comment 9 WebKit Commit Bot 2018-03-13 16:01:53 PDT
All reviewed patches have been landed.  Closing bug.